using System.Text.Json.Serialization;

namespace economy.Models.Financial.Exchange
{
    // 검색결과 변수
    public class Response
    {
        public List<Data> Items { get; set; }
    }

    public class Data
    {
        [JsonPropertyName("result")]
        public int Result { get; set; }

        [JsonPropertyName("cur_unit")]
        public string CurUnit { get; set; } // 통화 단위

        [JsonPropertyName("cur_nm")]
        public string CurNm { get; set; } // 국가/통화명

        [JsonPropertyName("ttb")]
        public string Ttb { get; set; } // 매입 환율

        [JsonPropertyName("tts")]
        public string Tts { get; set; } // 매도 환율

        [JsonPropertyName("deal_bas_r")]
        public string DealBasRate { get; set; } // 기준 환율

        [JsonPropertyName("bkpr")]
        public string BankSellingRate { get; set; } // 은행 판매율

        [JsonPropertyName("yy_efee_r")]
        public string YearlyExchangeFeeRate { get; set; } // 연간 환전 수수료율

        [JsonPropertyName("ten_dd_efee_r")]
        public string TenDayExchangeFeeRate { get; set; } // 10일 환전 수수료율

        [JsonPropertyName("kftc_bkpr")]
        public string KftcBankSellingRate { get; set; } // 한국 외환 거래소 기준 판매율

        [JsonPropertyName("kftc_deal_bas_r")]
        public string KftcDealBaseRate { get; set; } // 한국 외환 거래소 기준 기준율
    }
}